/**
 *	InputFeatureOutOfARTBoundsException.java
 *
 *  Greg Amis
 *  Technology Lab
 *  Dept. of Cognitive & Neural Systems
 *  Boston University
 *  Nov 17, 2008
 *
 *  Licensing Policy
 *  This implementation is made available to the general public under the terms 
 *  of Copyleft, as defined by the <a href="http://www.fsf.org/">Free Software Foundation</a> 
 *  (see discussion <a href="http://www.gnu.org/copyleft/copyleft.html">here</a> for example). 
 *  As such, it is available free of charge, and may be copied, redistributed, or modified, 
 *  as long as any resulting work is distributed under the same terms of Copyleft.
 */
package edu.bu.cns.classifiers.artmap;

import edu.bu.cns.util.FormattableException;

/**
 *	Thrown when an ART input feature is not in the proper bounds 
 *  (typically [0,1]).
 */
public class InputFeatureOutOfARTBoundsException extends FormattableException {

	private static final long serialVersionUID = 2096432671103798042L;
	
	
	public InputFeatureOutOfARTBoundsException(final int i, final float ai) {
		super( i, ai );
	}
	
	protected String getMsgFmt() { 
		return "ART expects input features to be between 0 and 1, but a_%d=%g.";
	}

}
