/**
 *	UnitTestFailureContextException.java
 *
 *  Greg Amis
 *  Technology Lab
 *  Dept. of Cognitive & Neural Systems
 *  Boston University
 *  Jul 30, 2007
 *
 *  Copyright (c) 2007, Greg Amis 
 */
package edu.bu.cns.util;

/**
 *
 */
public class UnitTestFailureContext extends Throwable {

	/** */
	private static final long serialVersionUID = 778287963939144298L;
	
	public final Object context;
	
	public UnitTestFailureContext(final Object _context) {
		super();
		this.context = _context;
	}
	
	public UnitTestFailureContext(final String format, final Object... args) {
		this( String.format(format, args));
	}
	
	@Override
	public String getMessage() {
		return "Cause: "+context.toString();
	}
	
	
	

}
